<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<csp_whitelist xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Csp:etc/csp_whitelist.xsd">
    <policies>
        <policy id="img-src">
            <values>
                <value id="1902internalsystems" type="host">1902internalsystems.z23.web.core.windows.net</value>
                <value id="writetextaistorage" type="host">writetextaistorage.z6.web.core.windows.net</value>
            </values>
        </policy>
        <policy id="script-src">
            <values>
                <value id="cdn-jsdelivr" type="host">cdn.jsdelivr.net</value>
            </values>
        </policy>
        <policy id="connect-src">
            <values>
                <value id="writetextai-signalr" type="host">writetextai.service.signalr.net</value>
                <value id="writetextai-sea-signalr" type="host">writetextai-sea.service.signalr.net</value>
                <value id="writetextai-us-signalr" type="host">writetextai-us.service.signalr.net</value>
                <value id="writetextai-signalr-wss" type="host">wss://writetextai.service.signalr.net</value>
                <value id="writetextai-sea-signalr-wss" type="host">wss://writetextai-sea.service.signalr.net</value>
                <value id="writetextai-us-signalr-wss" type="host">wss://writetextai-us.service.signalr.net</value>
                <value id="api-writetext-ai" type="host">api.writetext.ai</value>
                <value id="api-eu-writetext-ai" type="host">api-eu.writetext.ai</value>
                <value id="api-sea-writetext-ai" type="host">api-sea.writetext.ai</value>
                <value id="api-us-writetext-ai" type="host">api-us.writetext.ai</value>
                <value id="api-au-writetext-ai" type="host">api-au.writetext.ai</value>
            </values>
        </policy>
    </policies>
</csp_whitelist>